/*!
 * bs Cookie Settings v1.0
 *
 * Based on CookieConsent v2.7.0
 * https://www.github.com/orestbida/cookieconsent
 * Author: wbk
 */



/*.d-grid {
  display: grid !important;
}*/



.fixed-bottom {
  position: fixed;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1030;
}


/*.cc_div *,
.cc_div :before,
.cc_div :after {
  transition: none;
  animation: none;
  margin: 0;
  padding: 0;
  text-transform: none;
  letter-spacing: unset;
  border: none;
  box-shadow: none;
  background: none;
  text-align: left;
  visibility: unset;
}*/

/* Banner */
#bs-cookie-bar {
  z-index: 1050;
  transform: translateY(100%);
  transition: transform 0.4s ease-in-out;
  background: #eee;
  padding: 20px 0;
  text-align: center;
}

.show--consent #bs-cookie-bar {
  transform: none;
  transition-delay: 1.5s;
}


/* Hide Banner if modal is open */

.show--consent .modal-open #bs-cookie-bar {
  transform: translateY(100%);
  transition: transform .15s ease-in-out;
  transition-delay: 0s;
}

#c-inr-i {
	margin-bottom: 2rem;
}

.c-bn {
	margin-right: .6rem;
	margin-left: .6rem;
}

/* Cookie settings modal */

/* Remove focus from close-btn */
/*
#bs-cookie-modal .btn-close:focus {
  box-shadow: none;
  -webkit-box-shadow: none;
}
*/

#s-bl .title:first-child {
  margin-top: 0;
}

#s-bl .b-bn {
  margin-top: 0;
}

#s-bl .b-acc .p {
  margin-top: 0;
  padding: 1em;
}

.exp {
  color: inherit;
}

button.b-tl.exp::before {
   content: "\f105";
   font: normal normal normal 14px/1 FontAwesome;
   margin-right: .5rem;
   transition: transform 0.35s ease;
 }

/*button.b-tl.exp[aria-expanded="true"]::before {
  transform: rotate(90deg);
}*/

button.b-tl.exp[aria-expanded="true"]::before {
	content: "\f107";
}

#s-bl .c-bl:last-child {
  margin-bottom: .5em;
}

#s-bl .c-bl:first-child {
  transition: none;
  padding: 0;
  margin-top: 0;
  border: none;
  margin-bottom: 2em;
}

#s-bl .c-bl.b-ex + .c-bl {
  margin-top: 2em;
}

#s-bl .c-bl.b-ex + .c-bl.b-ex {
  margin-top: 0;
}

#s-bl .c-bl.b-ex:first-child {
  margin-bottom: 1em;
}

#s-bl .c-bl.b-ex:first-child {
  margin-bottom: .5em;
}

.cc_div .b-tg .c-tgl:disabled {
  cursor: not-allowed;
}



.desc.b-acc {
  border-top: 2px solid;
  border-color: var(--bs-modal-bg);
}

#s-bl tr {
  padding: 1rem;
  border-top: 2px solid;
  border-color: var(--bs-modal-bg);
}

#s-bl td,
#s-bl th {
  padding: 0.25rem 0;
  font-size: .875em;
}



/** dynamic table layout **/
#s-bl table {
  width: 100%;
}

/* Force table to not be like tables anymore */
#s-bl table,
#s-bl thead,
#s-bl tbody,
#s-bl th,
#s-bl td,
#s-bl tr {
  display: block;
}

/* Hide table headers (but not display: none;, for accessibility) */
#s-bl thead tr {
  position: absolute;
  top: -9999px;
  left: -9999px;
}

#s-bl td {
  /* Behave  like a "row" */
  border: none;
  position: relative;
  padding-left: 35%;
}

#s-bl td:before {
  position: absolute;
  left: 0;
  padding-right: 0.625em;
  white-space: nowrap;
  content: attr(data-column);
  overflow: hidden;
  text-overflow: ellipsis;
}

/* Modal footer buttons */
@media screen and (max-width: 575px) {
  #s-bns {
    justify-content: normal;
  }
}